require 'yaml'

module Sitepass

  class Config

    def self.exists?
      File.exists? filename
    end

    def self.filename
      File.expand_path "~/.sitepass"
    end

    def self.load
      new(exists? ? YAML::load_file(filename) : {}) 
    end

    def initialize(data = nil)
      @data = data || {}
    end

    def [](k)
      @data[k]
    end

    def []=(k, v)
      @data[k] = v
      save
    end

    def save
      File.open(self.class.filename, 'w') do |f|
        f.write YAML::dump(@data)
      end
    end

  end

end