require 'openssl'

module Sitepass

  class Key

    def self.exists?
      !!Config.load["key"]
    end

    def self.load
      Config.load["key"]
    end

    def self.generate
      config = Config.load
      config["key"] = begin
        OpenSSL::PKCS5.pbkdf2_hmac_sha1(
          OpenSSL::Random.random_bytes(512),
          OpenSSL::Random.random_bytes(512),
          100_000, 
          512
        )
      end
    
    end

  end

end